<?php

namespace Litecms\Planpackage\Repositories\Eloquent;

use Litecms\Planpackage\Interfaces\PlanpackageRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PlanpackageRepository extends BaseRepository implements PlanpackageRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.planpackage.planpackage.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.planpackage.planpackage.model.model');
    }
}
