<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for planpackage in planpackage package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  planpackage module in planpackage package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Planpackage',
    'names'         => 'Planpackages',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Planpackages',
        'sub'   => 'Planpackages',
        'list'  => 'List of planpackages',
        'edit'  => 'Edit planpackage',
        'create'    => 'Create new planpackage'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => [enable, disable],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'name'                       => 'Enter Plan Package Name',
        'status'                     => 'Status',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'name'                       => 'Plan Package',
        'status'                     => 'Status',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Plan Package', 'data-column' => 1, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Planpackages',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
